/*******************************************************************************
 * @note Copyright (C) 2019 Shanghai Panchip Microelectronics Co., Ltd.
 * All rights reserved.
 *
 * @file driver_adc.c
 * @brief 
 *
 * @history - V0.01, 2019-09-17, caixiaohai, first implementation.
*******************************************************************************/
#include "driver_adc.h"

uint32_t bandgap_trim;

float cali_a,cali_b;

void adc_get_calibration_coefficient(uint8_t inputRandge)
{
    uint32_t tmp[2];
    bandgap_trim=flash_ReadInfo(FMC_INFO_BANDGAP_TRIM_ADDR);
    ANAC->LP_ANA_CTRL1 &= ~(0x1f << 8);
    ANAC->LP_ANA_CTRL1 |= (bandgap_trim << 8);
    CLK_Wait3vSyncReady();
    if(inputRandge == ADC_INPUTRANGE_LOW){
		tmp[0]=flash_ReadInfo(FMC_INFO_ADC_LOW_CALI_A_ADDR);
		tmp[1]=flash_ReadInfo(FMC_INFO_ADC_LOW_CALI_B_ADDR);
    }else if(inputRandge == ADC_INPUTRANGE_HIGH){
		tmp[0]=flash_ReadInfo(FMC_INFO_ADC_HIGH_CALI_A_ADDR);
		tmp[1]=flash_ReadInfo(FMC_INFO_ADC_HIGH_CALI_B_ADDR);
    }

    cali_a = (float)((int32_t)tmp[0]) / 10000.0f;
    cali_b = (float)((int32_t)tmp[1]) / 10000.0f;
}
