/*******************************************************************************
 * @note Copyright (C) 2019 Shanghai Panchip Microelectronics Co., Ltd.
 * All rights reserved.
 *
 * @file system_pan2025xx.h
 * @brief 
 *
 * @history - V0.01, 2019-03-18, yangyaming, first implementation.
*******************************************************************************/
#ifndef __SYSTEM_PAN2025XX_H
#define __SYSTEM_PAN2025XX_H

#ifdef __cplusplus
extern "C"{
#endif //__cplusplus

/*---------------------------------------------------------------------------------------------------------*/
/* Macro Definition                                                                                        */
/*---------------------------------------------------------------------------------------------------------*/

/*----------------------------------------------------------------------------
  Define SYSCLK
 *----------------------------------------------------------------------------*/

#define __XTAL4M        	(4000000UL)
 #define __XTAL16M        	(16000000UL)
#define __XTAL32K        	(32768UL)
#define __IRC10K         	(10000UL)
#define __XTAL            	__XTAL4M

#define	__EXT				__XTAL4M
#define __HXT             	__XTAL16M
#define __HIRC           	(26000000ul)
#define	__LIRC				__IRC10K
#define	__PLL				(26000000ul)

#define __DPLL_13M          (13000000ul)
#define __DPLL_26M          (26000000ul)
#define __DPLL_52M          (52000000ul)

extern uint32_t __HSI;
extern uint32_t SystemCoreClock;        /*!< System Clock Frequency (Core Clock) */
extern uint32_t CyclesPerUs;            /*!< Cycles per micro second */
extern uint32_t PllClock;               /*!< PLL Output Clock Frequency          */
/**
 * Update SystemCoreClock variable
 *
 * @param  None
 * @return None
 *
 * @brief  Updates the SystemCoreClock with current core Clock
 *         retrieved from CPU registers.
 */

extern void SystemCoreClockUpdate (void);
extern void SystemInit (void);

#ifdef __cplusplus
}
#endif //__cplusplus

#endif //__SYSTEM_PAN2025XX_H





