;/******************************************************************************
; * @file     startup_PN020Series.s
; * @version  V1.00
; * $Revision: 2 $
; * $Date: 16/03/02 16:56 $ 
; * @brief    CMSIS ARM Cortex-M0 Core Device Startup File
; *
; * @note
; * Copyright (C) 2016 Panchip Technology Corp. All rights reserved.
;*****************************************************************************/  



    MODULE  ?cstartup

    ;; Forward declaration of sections.
    SECTION CSTACK:DATA:NOROOT(3) ;; 8 bytes alignment

    SECTION .intvec:CODE:NOROOT(2);; 4 bytes alignment

    EXTERN  __iar_program_start
    EXTERN  HardFault_Handler
    PUBLIC  __vector_table

    DATA
__vector_table
    DCD     sfe(CSTACK)
    DCD     Reset_Handler

    DCD     NMI_Handler
    DCD     HardFault_Handler
    DCD     0
    DCD     0
    DCD     0
    DCD     0
    DCD     0
    DCD     0
    DCD     0
    DCD     SVC_Handler
    DCD     0
    DCD     0
    DCD     PendSV_Handler
    DCD     SysTick_Handler

    ; External Interrupts
    DCD     I2C0_IRQHandler            ; 0,         
    DCD     SPI0_IRQHandler            ; 1,         
    DCD     0                          ; 2, Reserved        
    DCD     UART0_IRQHandler           ; 3,        
    DCD     PWM_IRQHandler             ; 4,  
    DCD     ADC_IRQHandler             ; 5,        				
    DCD     WDT_IRQHandler             ; 6,        
    DCD     WWDT_IRQHandler            ; 7,       
    DCD     TIMER0_IRQHandler          ; 8,        

    ; External Interrupts  ;AHB1--APB2
    DCD     I2C1_IRQHandler            ; 9,         
    DCD     SPI1_IRQHandler            ; 10,         
    DCD     0                          ; 11, Reserved       
    DCD     UART1_IRQHandler           ; 12,        
    DCD     TIMER1_IRQHandler          ; 13,        
    DCD     TIMER2_IRQHandler          ; 14,        
    DCD     RF_IRQHandler              ; 15, 
    DCD     UART2_IRQHandler           ; 16,        
    DCD     UART3_IRQHandler           ; 17,        
    				
    ; External Interrupts  ;AHB1
    DCD     GPIO0_IRQHandler           ; 18,        
    DCD     GPIO1_IRQHandler           ; 19,        
    DCD     GPIO2_IRQHandler           ; 20,        
    DCD     GPIO3_IRQHandler           ; 21,        
    DCD     GPIO4_IRQHandler           ; 22,        
    DCD     GPIO5_IRQHandler           ; 23,
    DCD     EXT0_IRQHandler            ; 24,
    DCD     EXT1_IRQHandler            ; 25,
    DCD     EXT2_IRQHandler            ; 26,
			
    ; External Interrupts  ;AHB2
    DCD     DMA_IRQHandler             ; 27,         
    DCD     SLEEP_IRQHandler           ; 28, 
    DCD     STANDBY_IRQHandler         ; 29, 
    DCD     BOD_IRQHandler             ; 30, 					
    DCD     UART4_IRQHandler           ; 31, 

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;
;; Default interrupt handlers.
;;
    THUMB
    PUBWEAK Reset_Handler
    SECTION .text:CODE:REORDER:NOROOT(2)       ; 4 bytes alignment
Reset_Handler

        LDR      R0, = __iar_program_start
        BX       R0

    PUBWEAK NMI_Handler
    PUBWEAK SVC_Handler
    PUBWEAK PendSV_Handler
    PUBWEAK SysTick_Handler        
    PUBWEAK I2C0_IRQHandler        
    PUBWEAK SPI0_IRQHandler      
    PUBWEAK UART0_IRQHandler      
    PUBWEAK PWM_IRQHandler     
    PUBWEAK WDT_IRQHandler   
    PUBWEAK WWDT_IRQHandler        
    PUBWEAK TIMER0_IRQHandler         
    PUBWEAK I2C1_IRQHandler
    PUBWEAK SPI1_IRQHandler
    PUBWEAK UART1_IRQHandler
    PUBWEAK TIMER1_IRQHandler
    PUBWEAK TIMER2_IRQHandler
    PUBWEAK RF_IRQHandler
    PUBWEAK UART2_IRQHandler
    PUBWEAK UART3_IRQHandler
    PUBWEAK GPIO0_IRQHandler
    PUBWEAK GPIO1_IRQHandler
    PUBWEAK GPIO2_IRQHandler
    PUBWEAK GPIO3_IRQHandler
    PUBWEAK GPIO4_IRQHandler
    PUBWEAK GPIO5_IRQHandler
    PUBWEAK EXT0_IRQHandler
    PUBWEAK EXT1_IRQHandler
    PUBWEAK EXT2_IRQHandler
    PUBWEAK DMA_IRQHandler
    PUBWEAK SLEEP_IRQHandler
    PUBWEAK STANDBY_IRQHandler
    PUBWEAK BOD_IRQHandler
    PUBWEAK UART4_IRQHandler
          
    
    


    SECTION .text:CODE:REORDER:NOROOT(2)
NMI_Handler
SVC_Handler
PendSV_Handler
SysTick_Handler

I2C0_IRQHandler            ; 0,         
SPI0_IRQHandler            ; 1,         
; SPIS0_IRQHandler         ; 2,         
UART0_IRQHandler           ; 3,        
PWM_IRQHandler             ; 4,        
ADC_IRQHandler             ; 5,        
WDT_IRQHandler             ; 6,        
WWDT_IRQHandler            ; 7,       
TIMER0_IRQHandler          ; 8,        

I2C1_IRQHandler            ; 9,         
SPI1_IRQHandler            ; 10,         
; SPIS1_IRQHandler         ; 11,         
UART1_IRQHandler           ; 12,        
TIMER1_IRQHandler          ; 13,        
TIMER2_IRQHandler            ; 14,        
RF_IRQHandler              ; 15,
UART2_IRQHandler           ; 16,        
UART3_IRQHandler           ; 17,        

GPIO0_IRQHandler           ; 18,        
GPIO1_IRQHandler           ; 19,        
GPIO2_IRQHandler           ; 20,        
GPIO3_IRQHandler           ; 21,        
GPIO4_IRQHandler           ; 22,        
GPIO5_IRQHandler           ; 23,
EXT0_IRQHandler            ; 24,
EXT1_IRQHandler            ; 25,
EXT2_IRQHandler            ; 26,
	                      
DMA_IRQHandler             ; 27, 
SLEEP_IRQHandler           ; 28, 
STANDBY_IRQHandler         ; 29,
BOD_IRQHandler             ; 30, 
UART4_IRQHandler           ; 31, 
Default_Handler
    B Default_Handler




    END

;/*** (C) COPYRIGHT 2016 PANCHIP Technology Corp. ***/