#ifndef _SYS_LOG_H_
#define _SYS_LOG_H_

#include <stdio.h>

#ifdef __cplusplus
extern "C" {
#endif

#define DBG_ON     0
#define INFO_ON    1
#define WARN_ON    1
#define ERR_ON     1
#define TEST_ON    1     

#define ABORT()    do { } while (1) //sys_abort()

#define LOG(flags, fmt, arg...)    \
    do {                                \
        if (flags)                      \
            printf(fmt, ##arg);    \
    } while (0)

#define SYS_DBG(fmt, arg...)   LOG(DBG_ON, "[SYS DBG] %s():%d, "fmt, __func__, __LINE__, ##arg)
#define SYS_INFO(fmt, arg...)  LOG(INFO_ON, "[SYS INFO] %s():%d, "fmt, __func__, __LINE__, ##arg)
#define SYS_WARN(fmt, arg...)  LOG(WARN_ON, "[SYS WARN] %s():%d, "fmt, __func__, __LINE__, ##arg)
#define SYS_TEST(fmt, arg...)  LOG(TEST_ON, fmt, ##arg)

#define SYS_ERR(fmt, arg...)                               \
    do {                                                    \
        LOG(ERR_ON, "[SYS ERR] %s():%d, "fmt, __func__, __LINE__, ##arg);   \
        if (ERR_ON)                                                         \
            ABORT();                                                        \
    } while (0)

#ifdef __cplusplus
}
#endif

#endif /* _SYS_LOG_H_ */
