/*******************************************************************************
 * @note      Copyright (C) 2019 Shanghai Panchip Microelectronics Co., Ltd.
 *            All rights reserved.
 * @file      sys.c
 * @brief     PAN2025 series SYS driver header file.
 * @history - V1.0, 2019-3-8, zhangzhao, first implementation.
*******************************************************************************/

#include "sys.h"


void SYS_delay_10nop(uint32_t u32NopCnt)
{
	while(u32NopCnt--)
	{
		__NOP();
		__NOP();
		__NOP();
		__NOP();
		__NOP();
		__NOP();
		__NOP();
		__NOP();
		__NOP();
	}
}


/**
  * @brief  This function check register write-protection bit setting
  * @return 0: Write-protection function is disabled.
  *         1: Write-protection function is enabled.
  */
uint32_t SYS_IsRegLocked(void)
{
    return !(SYS->REGLCTL & SYS_REGLCTL_REGLCTL_Msk);
}

