/*******************************************************************************
 * @note Copyright (C) 2020 Shanghai Panchip Microelectronics Co., Ltd.
 * All rights reserved.
 *
 * @file main.c
 * @brief 
 *
 * @history - V0.01, 2020-03-19, yangyaming, first implementation.
*******************************************************************************/
#include "pan2025xx.h"
#include "driver_sys.h"
#include "driver_uart.h"
#include "user_rf.h"
#include "use_ble.h"
#include "driver_delay.h"

#define EXAMPLE_NAME	"RF Busrt Intterupt"
#define EXAMPLE_DATE	"2020-03-20"
#define DEMO_VER        "1.0"

static void print_logo_message(void)
{
    printf("+-----------------------------------------------------------+\r\n");
    printf("|  Description : BLE_DEMO_TEST                              |\r\n");
    printf("+-----------------------------------------------------------+\r\n");
}

/**
  * @brief  Board Support Package
  * @param  None
  * @retval None
  */
void bsp_init()
{
    sys_init();
    uart_init(UART0, 115200);
}

/**
  * @brief  Main function entry
  * @param  None
  * @retval None
  */
int main(void)
{
	char command;
	uint8_t test[10]={1,2,3,4,5,6,7,8,9,10};
	bsp_init();
	print_logo_message();
	
	RF_Init();
	PowerSet();
	NVIC_EnableIRQ(RF_IRQn);
	
	print_logo_message();
	
	RF_RxMode();
	ble_rf_init(BLE_RX_MODE_SET);
  while(1){
			//յһشһ
			if(rf_tx_rev_data())
			{
				RF_TxMode();
				ble_rf_init(BLE_TX_MODE_SET);
				rf_tx_send_data(test);
				RF_RxMode();
				ble_rf_init(BLE_RX_MODE_SET);
			}
    }
}
